Subject: bug#37025: [found the culprit] (was: bug#37025: 27.0.50; smime signing and encryption does not work any longer)

From: Teemu Likonen <[email-masked]>
Date: Wed, 14 Aug 2019 22:14:07 +0300

Uwe Brauer [2019-08-14T20:54:47+02] wrote:

> finally I bisect and found the culprit:
>
>
> git bisect good
> 74579d3d2bb82f300a6f2d81b7b559f0a24061db is the first bad commit
> commit 74579d3d2bb82f300a6f2d81b7b559f0a24061db
> Author: Teemu Likonen <[email-masked]>
> Date:   Sat Jul 13 02:12:58 2019 +0200
>
>     Use the gpg --sender option
>
>     * lisp/epg.el (epg-start-encrypt)
>     * lisp/gnus/mml-sec.el (mml-secure-epg-encrypt): When
>     'mml-secure-openpgp-sign-with-sender' is non-nil message sender's
>     email address (in addition to its old behaviour) will also be used
>     to set gpg's "--sender email@domain" option.

Thanks for the report and bisecting. I think we can fix the bug by
including "--sender" option only with openpgp protocol (i.e. gpg). Now
I'm going to bed but will come back.

-- 
///  OpenPGP key: 4E1055DC84E9DFF613D78557719D69D324539450
//  https://keys.openpgp.org/search?q=[email-masked]
/  https://keybase.io/tlikonen  https://github.com/tlikonen